Subject: bug#76559: 31.0.50; [-O3 + PGTK] Crash when 'copying as kill'/'killing word'

From: Paul Eggert <[email-masked]>
Date: Mon, 3 Mar 2025 09:57:15 -0800

On 2025-03-03 01:47, Po Lu wrote:
> The patch is fine by me, but the line wrapping hereabouts is gruesome.
> Please delete the const qualifiers and wrap the parameter list after
> `event', since they probably will not assist code generation.

Thanks for the review. I installed it with those changes.

> Also, come to think of it, I doubt it's appropriate for selection event
> delivery (which is meant purely to be a transparent process to users) to
> be influenced by hold_quit at all.

Yeah, I noticed that too. Someone with more time and expertise than I 
should probably take a look at it. Maybe the intent is to make quits 
work even when a large selection is arriving, but I doubt whether the 
code is doing that in all cases, and it could well be I'm 
misunderstanding the intent.